// ********************************************************************
// *
// * Autor(en)   : ebs EDV-Beratung-Service, Heiko Eggers, 1997
// * Gendert    : vgl. nderungen
// *
// * Beschreibung: Funktion zum Einlesen von Stzen eines geffneten
// *               Binrfiles.
// *
// * FREEWARE
// *
// ********************************************************************
// * nderungen  :
// *
// * 06/05/97-hee: -Funktion erstellt
// ********************************************************************

#include "ebs_vlib.ch"

FUNCTION XGET_NEXT_RECORD(nHandle, lDisplay)

   LOCAL aReturn:={"",.F.}
   LOCAL lEndOfFile:=.F.
   LOCAL cChar:="", cBuffer := ""

   IF VALTYPE(nHandle)      == "N"

      IF VALTYPE(lDisplay)  != "L"
         lDisplay := .F.
      ENDIF

      DO WHILE .T.

         cChar := FREADSTR(nHandle,1)

         DO CASE
            CASE cChar == CHR(26)  // x'1A' Eof
                 lEndOfFile := .T.
                 EXIT
            CASE cChar == CHR(12)  // x'0C' Seitenvorschub
            CASE cChar == CHR(13)  // x'0D' Carriage Return
            CASE cChar == CHR(10)  // x'0A' Line Feed
                 EXIT
            OTHERWISE
                 cBuffer     += cChar
         ENDCASE

      ENDDO

      IF lDisplay
         ? SUBSTR(cBuffer,1,72)+CHR(13)
         IF INKEY() > 0
            INKEY(0)               // Pause
         ENDIF
      ENDIF

      aReturn := {cBuffer, lEndOfFile}

   ELSE

     XMELDUNG("Handle fr das zu lesenden Binrfile fehlt!",5,1)

   ENDIF

RETURN(aReturn)
