// ********************************************************************
// *
// * Autor(en)   : ebs EDV-Beratung-Service, Heiko Eggers, 1996
// * Gendert    : vgl. nderungen
// *
// * Beschreibung: Funktion zum Generieren eines Namens
// *
// * FREEWARE
// *
// ********************************************************************
// * nderungen  :
// *
// * 11/02/97-hee: -Funktion erstellt
// ********************************************************************

#include "ebs_vlib.ch"

FUNCTION XNAMGEN(nLen)

   LOCAL aArr1:={}, aArr2:={}
   LOCAL i, j, nLoops
   LOCAL cReturn:="", cTime

   IF VALTYPE(nLen) != "N"
      nLen := 5
   ENDIF

   AADD(aArr1,{0,0,0,0,0})
   AADD(aArr1,{1,1,1,1,1})
   AADD(aArr1,{2,2,2,2,2})
   AADD(aArr1,{3,3,3,3,3})
   AADD(aArr1,{4,4,4,4,4})
   AADD(aArr1,{5,5,5,5,5})
   AADD(aArr1,{6,6,6,6,6})
   AADD(aArr1,{7,7,7,7,7})
   AADD(aArr1,{8,8,8,8,8})
   AADD(aArr1,{9,9,9,9,9})

   AADD(aArr2,{"AU","BA","EN","TE","LA"})
   AADD(aArr2,{"RS","CH","CK","KO","OH"})
   AADD(aArr2,{"HA","KU","RI","TA","AN"})
   AADD(aArr2,{"KA","MA","NE","RN","LO"})
   AADD(aArr2,{"WA","ZU","ZA","KY","VO"})
   AADD(aArr2,{"QU","WO","WE","PR","ER"})
   AADD(aArr2,{"PA","UL","WU","JA","JO"})
   AADD(aArr2,{"TO","LI","IO","PI","XA"})
   AADD(aArr2,{"DA","DO","GO","GA","SA"})
   AADD(aArr2,{"RN","ME","GU","PO","CU"})

   nLoops := INT(nLen/5) + 1

   FOR i:=1 TO nLoops

      cTime   := STRZERO(TIMETOSEC(TIME()),5,0)

      FOR i:=1 TO 10
          FOR j:=1 TO 5
              IF VAL(SUBSTR(cTime,j,1)) == aArr1[i,j]
                 cReturn += aArr2[i,j]
              ENDIF
          NEXT
      NEXT

   NEXT

RETURN(LEFT(cReturn,nLen))
