// ********************************************************************
// *
// * Autor(en)   : ebs EDV-Beratung-Service, Heiko Eggers, 1995
// * Gendert    : vgl. nderungen
// *
// * Beschreibung: Funktion zum Erstellen von Textumrandungen
// *               Das Array mit den Box-Inhalten ist als 2-dimensionales
// *               Array zu bergeben.
// *
// * FREEWARE
// *
// ********************************************************************
// * nderungen  :
// *
// * 24/03/97 hee: -Funktion erstellt
// ********************************************************************

#include "ebs_vlib.ch"

FUNCTION XKASTEN(o, l, nRows, nCols, aFillUp, cOrder)

   LOCAL i, j, nLen, z, nArrLen, x, y
   LOCAL c1, c2, c3, c4, c5, c6, c7, c8, c9, c10, c11
   LOCAL Z1, Z2, Z3, Z4

   IF VALTYPE(cOrder)  != "C"
      cOrder   := "OL"
   ENDIF

   cOrder      := UPPER(cOrder)

   IF VALTYPE(aFillUp) == "A"
      nArrLen  := LEN(aFillUp)
      nLen     := 1
      FOR i:=1 TO nRows
          FOR j:=1 TO nCols
              nLen := MAX(nLen,LEN(aFillUp[i][j]))
          NEXT
      NEXT
   ELSE
      aFillUp  := {}
      nArrLen  := 0
      nLen     := 1
   ENDIF

   c1 := ""  // 218
   c2 := ""  // 196
   c3 := ""  // 194
   c4 := ""  // 191

   c5 := ""  // 179

   c6 := ""  // 195
   c7 := ""  // 197
   c8 := ""  // 180

   c9 := ""  // 192
   c10:= ""  // 193
   c11:= ""  // 217

   // *** Einzelne Boxzeilen

   Z1 := c1 + REPLICATE(c2,nLen)
   FOR i:=1 TO nCols-1
       Z1 += c3 + REPLICATE(c2,nLen)
   NEXT
   Z1 += c4

   Z2 := ""
   FOR i:=1 TO nCols
       Z2 += c5 + SPACE(nLen)
   NEXT
   Z2 += c5

   Z3 := c6 + REPLICATE(c2,nLen)
   FOR i:=1 TO nCols-1
       Z3 += c7 + REPLICATE(c2,nLen)
   NEXT
   Z3 += c8

   Z4 := c9 + REPLICATE(c2,nLen)
   FOR i:=1 TO nCols-1
       Z4 += c10 + REPLICATE(c2,nLen)
   NEXT
   Z4 += c11

   // *** Box malen

   z:=0

   FOR i:= 1 TO nRows
       DO CASE
          CASE i== 1
               @ o+z,l SAY Z1
               z++
          CASE i== nRows
               @ o+z,l SAY Z2
               z++
               @ o+z,l SAY Z3
               z++
          OTHERWISE
               @ o+z,l SAY Z2
               z++
               @ o+z,l SAY Z3
               z++
       ENDCASE
   NEXT

   @ o+z,l SAY Z2
   z++
   @ o+z,l SAY Z4

   IF nArrLen > 0

      // *** Boxfllung ausgeben

      FOR i:=1 TO nRows
          FOR j:=1 TO nCols
              DO CASE
                 CASE cOrder == "OL"
                      x := i
                      y := j
                 CASE cOrder == "OR"
                      x := i
                      y := nCols-j+1
                 CASE cOrder == "UL"
                      x := nRows-i+1
                      y := j
                 CASE cOrder == "UR"
                      x := nRows-i+1
                      y := nCols-j+1
              ENDCASE
              @ o-1+2*i,l+j+nLen*(j-1) SAY aFillUp[x][y]
          NEXT
      NEXT

   ENDIF

RETURN(0)
