// ********************************************************************
// *
// * Autor(en)   : ebs EDV-Beratung-Service, Heiko Eggers, 1995
// * Gendert    : vgl. nderungen
// *
// * Beschreibung: Funktion zum Aufbereiten einer Zahl als String
// *
// * FREEWARE
// *
// ********************************************************************
// * nderungen  :
// *
// * 18/12/95-hee: -Funktion erstellt
// ********************************************************************

#include "ebs_vlib.ch"

FUNCTION XSTR(nFeld,nLen,nDiv,cChar,nPadLen,cLRM)

   LOCAL cString:=""

   cString    := ALLTRIM(STR(nFeld,nLen,nDiv))

   IF VALTYPE(cChar)   != "C"
      cChar   := ""           // No filling character
   ENDIF

   IF VALTYPE(nPadLen) != "N"
      nPadLen := 0            // Default pad length
   ENDIF

   IF VALTYPE(cLRM)    != "C" // L=Left R=Right M=Middle Orientation
      cLRM    := "L"
   ENDIF

   DO CASE
      CASE cLRM == "R"
           cString := LEFT(cString + REPLICATE(cChr,nPadLen) , nPadLen)
      CASE cLRM == "L"
           cString := RIGHT(REPLICATE(cChr,nPadLen) + cString, nPadLen)
      CASE cLRM == "M"
           cString := LEFT(REPLICATE(cChr,nPadLen/2) + cString + ;
                           REPLICATE(cChr,nPadLen/2), nPadLen)
   ENDCASE

RETURN(cString)
